> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/customs-catalog-api/resources/self-service-catalog-management.md).

# Self-Service Catalog Management

You can self serve directly on the ESP [**Client Hub**](https://esp.eshopworld.com) to review issues with your catalog data. The ESP will indicate how many invalid products and defaulted products needs your attention in real time. You can then make the required updates to your catalog without needing any Trade Compliance resource to do so.

You can upload catalogs via an API request or SFTP flat file upload (`csv` or `xlsx` formats). The data is then validated for data completeness and quality before being classification rated and written to the database, where it will be available for use by consumers.

{% tabs %}
{% tab title="Walkthrough" %}
{% @code-walkthrough/url-embed embedUrl="<https://demo.esw.com/share/cghuis2uug15>" aspectRatio="1.5" %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.esw.com/customs-catalog-api/resources/self-service-catalog-management.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
